<?php
 
 
 

namespace PhpWA\Protocol\Proto\AIRichResponseContentItemsMetadata;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIRichResponseReelItem extends \Google\Protobuf\Internal\Message
{
    


    protected $title = null;
    


    protected $profileIconUrl = null;
    


    protected $thumbnailUrl = null;
    


    protected $videoUrl = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getProfileIconUrl()
    {
        return isset($this->profileIconUrl) ? $this->profileIconUrl : '';
    }

    public function hasProfileIconUrl()
    {
        return isset($this->profileIconUrl);
    }

    public function clearProfileIconUrl()
    {
        unset($this->profileIconUrl);
    }

    




    public function setProfileIconUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->profileIconUrl = $var;

        return $this;
    }

    



    public function getThumbnailUrl()
    {
        return isset($this->thumbnailUrl) ? $this->thumbnailUrl : '';
    }

    public function hasThumbnailUrl()
    {
        return isset($this->thumbnailUrl);
    }

    public function clearThumbnailUrl()
    {
        unset($this->thumbnailUrl);
    }

    




    public function setThumbnailUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->thumbnailUrl = $var;

        return $this;
    }

    



    public function getVideoUrl()
    {
        return isset($this->videoUrl) ? $this->videoUrl : '';
    }

    public function hasVideoUrl()
    {
        return isset($this->videoUrl);
    }

    public function clearVideoUrl()
    {
        unset($this->videoUrl);
    }

    




    public function setVideoUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->videoUrl = $var;

        return $this;
    }

}

